# H248_ServiceChangeMethod Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Enumerations { e_failover, e_forced, e_graceful, e_restart, e_disconnected, e_handOff }

## Public Member Functions

| H248_ServiceChangeMethod (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H248_ServiceChangeMethod & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_ServiceChangeMethod::Enumerations

Enumerator:

  e_failover |
  e_forced |
  e_graceful |
  e_restart |
  e_disconnected |
  e_handOff |

## Constructor & Destructor Documentation

H248_ServiceChangeMethod::H248_ServiceChangeMethod | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_ServiceChangeMethod& H248_ServiceChangeMethod::operator= | ( | unsigned | v | ) |

PObject* H248_ServiceChangeMethod::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h